Search for %s
- Search 7.x for %s
- Search 9.5.x for %s
- Search 8.9.x for %s
- Search 10.3.x for %s
- Search main for %s
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| PagerManager::$pagerParams | property | core/ |
The pager parameters. |
| PagerManager::$pagers | property | core/ |
An associative array of pagers. |
| PagerManager::getUpdatedParameters | function | core/ |
Gets the URL query parameter array of a pager link. |
| PagerManager::reservePagerElementId | function | core/ |
Reserve a pager element ID. |
| PagerManager::setPager | function | core/ |
Saves a pager to the static cache. |
| PagerManager::__construct | function | core/ |
Construct a PagerManager object. |
| PagerManagerInterface::getUpdatedParameters | function | core/ |
Gets the URL query parameter array of a pager link. |
| PagerManagerInterface::reservePagerElementId | function | core/ |
Reserve a pager element ID. |
| PagerManagerTest | class | core/ |
Tests Drupal\Core\Pager\PagerManager. |
| PagerManagerTest.php | file | core/ |
|
| PagerManagerTest::providerTestGetMaxPagerElementId | function | core/ |
Provides test cases for PagerManagerTest::testGetMaxPagerElementId(). |
| PagerManagerTest::testFindPage | function | core/ |
Tests find page. |
| PagerManagerTest::testGetMaxPagerElementId | function | core/ |
Tests get max pager element id. |
| PagerManagerTest::testGetUpdatedParameters | function | core/ |
Tests get updated parameters. |
| PagerModalTest | class | core/ |
Tests pager functionality in a modal. |
| PagerModalTest.php | file | core/ |
|
| PagerModalTest::$defaultTheme | property | core/ |
The theme to install as the default for testing. |
| PagerModalTest::$modules | property | core/ |
Modules to install. |
| PagerModalTest::setUp | function | core/ |
|
| PagerModalTest::testPagerInsideModal | function | core/ |
Tests pagers work inside of modals. |
| PagerParameters | class | core/ |
Provides pager information contained within the current request. |
| PagerParameters.php | file | core/ |
|
| PagerParameters::$requestStack | property | core/ |
The HTTP request stack. |
| PagerParameters::findPage | function | core/ |
Returns the current page being requested for display within a pager. |
| PagerParameters::getPagerParameter | function | core/ |
Gets the 'page' query parameter for the current request. |
| PagerParameters::getPagerQuery | function | core/ |
Gets the request query parameter. |
| PagerParameters::getQueryParameters | function | core/ |
Gets all request URL query parameters that are unrelated to paging. |
| PagerParameters::__construct | function | core/ |
Construct a PagerManager object. |
| PagerParametersInterface | interface | core/ |
Interface describing pager information contained within the request. |
| PagerParametersInterface.php | file | core/ |
|
| PagerParametersInterface::findPage | function | core/ |
Returns the current page being requested for display within a pager. |
| PagerParametersInterface::getPagerParameter | function | core/ |
Gets the 'page' query parameter for the current request. |
| PagerParametersInterface::getPagerQuery | function | core/ |
Gets the request query parameter. |
| PagerParametersInterface::getQueryParameters | function | core/ |
Gets all request URL query parameters that are unrelated to paging. |
| PagerPluginBase | class | core/ |
Base class for views pager plugins. |
| PagerPluginBase.php | file | core/ |
|
| PagerPluginBase::$current_page | property | core/ |
The current page. |
| PagerPluginBase::$headingOptions | property | core/ |
Options available for setting pagination headers. |
| PagerPluginBase::$total_items | property | core/ |
The total number of lines. |
| PagerPluginBase::$usesOptions | property | core/ |
Denotes whether the plugin has an additional options form. |
| PagerPluginBase::executeCountQuery | function | core/ |
Executes the count query. |
| PagerPluginBase::exposedFormAlter | function | core/ |
Allows the exposed form to be altered. |
| PagerPluginBase::exposedFormSubmit | function | core/ |
Handles submission of the exposed form. |
| PagerPluginBase::exposedFormValidate | function | core/ |
Allows the exposed form to be validated. |
| PagerPluginBase::getCurrentPage | function | core/ |
Get the current page. |
| PagerPluginBase::getHeadingLevel | function | core/ |
Get the pager heading tag. |
| PagerPluginBase::getItemsPerPage | function | core/ |
Get how many items per page this pager will display. |
| PagerPluginBase::getOffset | function | core/ |
Get the page offset, or how many items to skip. |
| PagerPluginBase::getPagerId | function | core/ |
Get the pager id, if it exists. |
| PagerPluginBase::getTotalItems | function | core/ |
Get the total number of items. |
Pagination
- Previous page
- Page 1065
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.